import request from "@/utils/request";
// 操作积分
export function operateMemberScore(data) {
  return request({
    url: "/member/user-score/operate",
    method: "post",
    data: data,
  });
}

// 积分记录分页
export function queryMemberScoreRecord(data) {
  return request({
    url: "/member/user-score-log/page",
    method: "post",
    data: data,
  });
}

// 兑换记录分页
export function queryMemberExchangeRecord(data) {
  return request({
    url: "/reward/redeem/record/page",
    method: "post",
    data: data,
  });
}

// 批量核销按钮

export function batchVerifyAPI(data) {
  return request({
    url: "/reward/redeem/record/batch/verify",
    method: "post",
    data: data,
  });
}

// 兑换记录导出
export function batchRecordExport(data) {
  return request({
    url: "/reward/redeem/record/export",
    method: "post",
    data: data,
  });
}

// 兑换记录导入
export function batchRecordImport(data) {
  return request({
    url: "/reward/redeem/record/import",
    method: "post",
    data: data,
  });
}

// 兑换记录导入模板下载
export function batchRecordImportTemplate() {
  return request({
    url: "/reward/redeem/record/import/template",
    method: "post",
    responseType: "blob",
  });
}

// 撤销 操作
export function rewardCancelQuery(data) {
  return request({
    url: "/reward/redeem/record/cancel",
    method: "post",
    data: data,
  });
}

// 获取记录详情
export function getRewardDetailQuery(data) {
  return request({
    url: "/reward/redeem/record/detail",
    method: "post",
    data: data,
  });
}

// 更新兑换记录

export function updatedRewardsDetails(data) {
  return request({
    url: "/reward/redeem/record/update",
    method: "post",
    data: data,
  });
}

// 核销回退
export function verifyRollback(data) {
  return request({
    url: "/reward/redeem/record/verify-back",
    method: "post",
    data: data,
  });
}

// 核销 操作
export function verifyRedeem(data) {
  return request({
    url: "/reward/redeem/record/verify",
    method: "post",
    data: data,
  });
}

// 获取积分规则记录
export function getScoreRecordList(data) {
  return request({
    url: "/member/score-rule/page",
    method: "post",
    params: {
      page: data.page,
      rows: data.rows,
    },
    data,
  });
}

// 会员积分等级列表

export function getMemberLevelList(data) {
  return request({
    url: "/member/user-level/page",
    method: "post",
    data,
  });
}

// 新增会员等级设置
export function addNewMemberLevel(data) {
  return request({
    url: "/member/user-level/add",
    method: "post",
    data,
  });
}

// 删除会员等级
export function delMemberLevel(data) {
  return request({
    url: "/member/user-level/delete",
    method: "post",
    data,
  });
}
// edit member level
export function editMemberLevel(data) {
  return request({
    url: "/member/user-level/update",
    method: "post",
    data,
  });
}

// 获得目的国、目的城市、目的仓列表
export function getRegionTreeList() {
  return request({
    url: "/member/score-rule/warehouse-tree-region-list",
    method: "get",
  });
}

// 获取渠道列表
export function getChannelList() {
  return request({
    url: "/ecw/channel/list-all-simple",
    method: "get",
  });
}

// 积分规则创建
export function createIntegralRule(data) {
  return request({
    url: "/member/score-rule/create",
    method: "post",
    data,
  });
}

// 启用关闭 积分规则
export function integralRuleStatus(data) {
  return request({
    url: "/member/score-rule/status",
    method: "post",
    data,
  });
}

// 复制积分规则
export function integralRuleCopy(data) {
  return request({
    url: "/member/score-rule/copy",
    method: "post",
    data,
  });
}

// 延期积分规则
export function integralRuleDelay(data) {
  return request({
    url: "/member/score-rule/delay",
    method: "post",
    data,
  });
}

// 删除积分规则
export function integralRuleDelete(data) {
  return request({
    url: "/member/score-rule/delete",
    method: "post",
    data,
  });
}

// 获取积分规则详情
export function integralRuleDetails(data) {
  return request({
    url: "/member/score-rule/get",
    method: "post",
    data,
  });
}

// 编辑积分规则
export function integralRuleUpdated(data) {
  return request({
    url: "/member/score-rule/update",
    method: "post",
    data,
  });
}

// 获取会员功能开关
export function switchRuleGet() {
  return request({
    url: "/member/score-rule/switch/get",
    method: "get",
  });
}

// 设置会员工能开关
export function switchRuleSet(data) {
  return request({
    url: "/member/score-rule/switch/set",
    method: "post",
    data,
  });
}

//分享记录分页
export function getShareRecordList(data) {
  return request({
    url: "/member/score-rule/share-record/page",
    method: "post",
    data,
  });
}

//获取分享记录详情
export function getShareRecordDetails(data) {
  return request({
    url: "/member/score-rule/share-record/detail",
    method: "post",
    data,
  });
}
